///////////////////////////////
#include <acknex.h>
#include <default.c>
///////////////////////////////

ENTITY* marble;

ENTITY* ring;
ENTITY* coin;

VECTOR speed, pos;

VECTOR force, change, angspeed,temp,bspeed,trace_coords;

VECTOR t1end_pos = vector(0,0,150);

//this vector contains the position for the auto respawn
VECTOR last_tportpos;

var lives = 10;

var level_num = 1;
var marble_skin = 0;
var ring1_scan, ring_p;
var coin_scan, coin_p;
var coin_num = 0;
var rings_num = 0;
var score;

var saving;

var tport_off = 1;


//var to load a new level 1 if set to 1 (ie can execute a level load once and makemods once)
var new_lvl1 = 1;
var new_lvl2 = 1;

//teleport scan values
var te1_p1;
var te1_p2;
var te2_p1;
var te2_p2;
var te3;
var te4;

//vars to check if the player is in the end of the level
var lvl1_end;

//feat point value vars
var feat_total_value = 0;
var f1 = 5;
var f2 = 20;
var f3 = 50;
var f4 = 50;

//the number of feats that have been accomplished
var feats_freed = 0;

//a var to store if the player found the secret path in lvl 1 (1 == yes)(0== no)
var lvl1_scrtpt = 0;

//vars to tell if the feat has occured  1== not occured
var f1_not_occur = 1;
var f2_not_occur = 1;
var f3_not_occur = 1;
var f4_not_occur = 1;


/////vars for displaying feats on stmenu (1= fulfilled)
var f1_d = 0;
var f2_d = 0;
var f3_d = 0;
var f4_d = 0;
var f5_d = 0;
var f6_d = 0;
var f7_d = 0;
var f8_d = 0;
var f9_d = 0;

/////////////////////////////
/*feat index and value
1: collect 1 ring 5ff
2: finish level 1 easy way 20ff
3: finish level 1 secret way 50FF
4: find the cjf coin 50FF
5:
6: 
7:
8:
////////////////////////////////*/
//names of the feats in strings, summaries, and values
STRING* feat1_value = "5FF";
STRING* feat1_name = "\"DO YOU WANT 
TO MARRY ME?\"";
STRING* feat1_sum = "Found 1 ring in the game";

STRING* feat2_value = "20FF";
STRING* feat2_name = "THE EASY 
WAY OUT";
STRING* feat2_sum = "Beat level 1 the easy way";

STRING* feat3_value = "50FF";
STRING* feat3_name = "ARE YOU 
DIZZY YET?";
STRING* feat3_sum = "Beat level 1 by finding a secret path";

STRING* feat4_value = "50FF";
STRING* feat4_name = "MY COIN!";
STRING* feat4_sum = "Find the cjf coin in the 1st level";
////////////////////////////////

//empty string to copy the feat info into
STRING* task_value = "              ";
STRING* task_name = "               ";

//game over message
STRING* end_scores = "WELL THIS LOOKS AS IF YOU HAVE DIED. LET'S SEE WHAT YOUR SCORE WAS...WELL IT WAS

THANKS FOR PLAYING AND I HOPE YOU ENJOYED IT! 
REMEMBER THINGS ARE NOT ALWAYS WHERE YOU THINK THEY ARE!";

PANEL* feat_show_pan2;

PANEL* f1_pan = 
{
	pos_x = 10;
	pos_y = 50;
	
	bmap = "feat_show_back1.tga";
}
PANEL* f2_pan = 
{
	pos_x = 10;
	pos_y = 159;
	bmap = "feat_show_back2.tga";
}
PANEL* f3_pan = 
{
	pos_x = 10;
	pos_y = 268;
	bmap = "feat_show_back3.tga";
}
PANEL* f4_pan = 
{
	pos_x = 10;
	pos_y = 377;
	bmap = "feat_show_back4.tga";
}
PANEL* f5_pan = 
{
	bmap = "feat_show_back.tga";
}
PANEL* f6_pan = 
{
	bmap = "feat_show_back.tga";
}
PANEL* f7_pan = 
{
	bmap = "feat_show_back.tga";
}
PANEL* f8_pan = 
{
	bmap = "feat_show_back.tga";	
}
PANEL* f9_pan = 
{
	bmap = "feat_show_back.tga";
}


//THE MAIN MENU PANEL FOR THE GAME!
PANEL* mmenu = 
{
	flags = SHOW;
	bmap = "mmenu.jpg";
	//button(50,50, "marbut1.tga", "marble_button_1.tga", "marble_button_2.tga", NULL, NULL, NULL);	

	//button for resume
	//button(256, 105, "resume_but.tga", "resume_but.tga", "resume_but2.tga", unpause, NULL, NULL);
	
	//button for save
	//button(256, 105, "save_but.tga", "save_but.tga", "save_but2.tga", stgame, NULL, NULL);
	
	//button for feats
	button(256, 285, "feats_but.tga", "feats_but.tga", "feats_but2.tga", show_feats, NULL, NULL);
	
	//button for quittin'
	button(256, 375, "q_but_mmenu.tga", "q_but_mmenu.tga", "q_but_mmenu2.tga", quitmmenu, NULL, NULL);
	
	//level 1 button
	button(156, 195, "lvl1_but.tga", "lvl1_but.tga", "lvl1_but2.tga", lvl1_load, NULL, NULL);
	
	//level 2 button
	button(356, 195, "lvl2_but.tga", "lvl2_but.tga", "lvl2_but2.tga", lvl2_load, NULL, NULL);
}


PANEL* stmenu;

PANEL* feat_show_pan;

//level 1 stats
PANEL* stats_lvl1 = 
{
	flags = SHOW;
	digits(1,411,"lives left: %.00f", *, 1, lives);
	digits(1,395,"SCORE: %.00f", *, 1, score);
	digits(1,403,"Feats total value: %.00f", *, 1, feat_total_value);	
}

//panel to show end game stats and score
PANEL* end_score = 
{
	//flags = OVERLAY;
	bmap = "end_game_pan2.jpg";

	digits(150, 235, "Feats done: %.f", *, 1, feats_freed);
	digits(150, 227, "Feat points: %.f", *, 1, feat_total_value);
	digits(150, 250, 0, *, 1, end_scores);
	digits(200, 258, "SCORE: %.00f", *, 1, score);
	//button for quittin'
	button(256, 375, "q_but_mmenu.tga", "q_but_mmenu.tga", "q_but_mmenu2.tga", quitmmenu, NULL, NULL);
}

//debug lines for level 2
PANEL* stats_lvl2 = 
{
	digits(1, 395, "SCORE: %.00f", *, 1, score);
	digits(1,411,"lives left: %.00f", *, 1, lives);
	digits(1,403,"Feats total value: %.00f", *, 1, feat_total_value);		
}

//code to unlock a feat in the game
PANEL* tasks_complete = 
{
	pos_x = 280;
	pos_y = 400;
	bmap = "task_sign_2.tga";
	window(0,0, 50, 55, "feat_sign.tga", 0,0);
	
	digits(140,40,0, *, 1, task_value);
	digits(60,20,"FEAT FULFILLED!", *, 1, 0);
	digits(55,36,0, *, 1, task_name);
}

PANEL* feat_star = 
{
	pos_x = 280;
	pos_y = 400;
	bmap = "task_sign_2.tga";
	window(0,0, 50, 55, "star_feat.tga", 0,0);
	
	digits(140,40,0, *, 1, task_value);
	digits(60,20,"FEAT FULFILLED!", *, 1, 0);
	digits(55,36,0, *, 1, task_name);
	//flags = SHOW;
}

//models for the start of level 2
function lvl2mods()
{
		if(marble_skin == 0)
	{
		marble = ent_create("marble.mdl", vector(0, 0, 130), NULL);
	}

	if(marble_skin == 1)
	{
		marble = ent_create("skin1.mdl", vector(0, 0, 130), NULL);
	}
	
	if(marble_skin == 2)
	{
		marble = ent_create("skin2.mdl", vector(0, 0, 130), NULL);
	}
	
	if(marble_skin == 3)
	{
		marble = ent_create("skin3.mdl", vector(0, 0, 130), NULL);
	}
	
	if(marble_skin == 4)
	{
		marble = ent_create("skin4.mdl", vector(0, 0, 130), NULL);
	}
	
	phent_settype(marble,PH_RIGID,PH_SPHERE);
	phent_setmass(marble,2.5,PH_SPHERE);
	phent_setfriction(marble,100);
	phent_setdamping(marble, 50, 50);
	
	phent_addtorqueglobal(marble, nullvector);
}

//make the rings turn
function rturn()
{
	if(ring_p !=1)
	{
		ring.pan += 5 * time_step;
	wait(1);
	}
}

//make the coin turn
function cointurn()
{
	if(coin_p !=1)
	{
		coin.pan += 5 * time_step;
	wait(1);
	}
}

//models for the 1st level
function makemods()
{
	marble_skin = integer(random(5));
	
	if(marble_skin == 0)
	{
		marble = ent_create("marble.mdl", vector(0,0,150), NULL);
	}

	if(marble_skin == 1)
	{
		marble = ent_create("skin1.mdl", vector(0,0,150), NULL);
	}
	
	if(marble_skin == 2)
	{
		marble = ent_create("skin2.mdl", vector(0,0,150), NULL);
	}
	
	if(marble_skin == 3)
	{
		marble = ent_create("skin3.mdl", vector(0,0,150), NULL);
	}
	
	if(marble_skin == 4)
	{
		marble = ent_create("skin4.mdl", vector(0,0,150), NULL);
	}

	coin = ent_create("cjfcoin.mdl", vector(2811, 240, 1096), NULL);
	set(coin, PASSABLE); 
	
	vec_set(last_tportpos.x, vector(0,0, 150));
	
	ring = ent_create("ring.mdl", vector(-1080, -915, 45), NULL);
	set(ring, PASSABLE);
	
	phent_settype(marble,PH_RIGID,PH_SPHERE);
	phent_setmass(marble,5,PH_SPHERE);
	phent_setfriction(marble,100);

	phent_setdamping(marble, 50, 50);
}

//code for teleporter 1 pt 1 to work
function tele1_p1()
{
	phent_enable(marble, 0);
	wait(1);
	marble.x = 0;
	marble.y = 0;
	marble.z = 150;
	phent_enable(marble, 1);
	vec_set(last_tportpos.x, vector(0, 0, 150));
}

//code for teleporter 1 pt 2 to work
function tele1_p2()
{
	phent_enable(marble, 0);
	wait(1);
	marble.x = -600;
	marble.y = -400;
	marble.z = 150;
	phent_enable(marble, 1);
	vec_set(last_tportpos.x, vector(-600, -400, 150));
}

//code for teleporter 2 pt 1 to work
function tele2_p1()
{
	phent_enable(marble, 0);
	wait(1);
	marble.x = 1500;	 
	marble.y = -350;
	marble.z = 	113;
	phent_enable(marble, 1);
	vec_set(last_tportpos.x, vector(1500, -350, 113 ));
}

//code for teleporter 2 pt 2 to work
function tele2_p2()
{
	phent_enable(marble, 0);
	wait(1);
	marble.x = -20;
	marble.y =  -358;
	marble.z = 	 50;
	phent_enable(marble, 1);
	vec_set(last_tportpos.x, vector(-20, -358, 50));
}

//code for teleporter 3 (to secret level) to work
function tele3()
{
	phent_enable(marble, 0);
	wait(1);
	marble.x = 1979;
	marble.y =   -2036; 
	marble.z = 	 2500;
	phent_enable(marble, 1);
	vec_set(last_tportpos.x, vector(-20, -358, 50));
}

//code for teleporter 4 (to cjf coin) to work
function tele4()
{
	phent_enable(marble, 0);
	wait(1);
	marble.x = 2680; 
	marble.y =  240; 
	marble.z = 	1736;
	phent_enable(marble, 1);
	vec_set(last_tportpos.x, vector(-20, -358, 50));
}

//code to respawn the marble/player
function respawn()
{
	
	phent_enable(marble, 0);
	wait(1);
	marble.x = last_tportpos.x;
	marble.y = last_tportpos.y;
	marble.z = last_tportpos.z;
	
	vec_set(force.x, nullvector);
	phent_enable(marble, 1);
	lives -= 1;
}

function respawnlv2()
{
	phent_enable(marble, 0);
	wait(1);
	vec_set(marble.x, vector(0,0, 30));
	
	vec_set(force.x, nullvector);
	phent_enable(marble, 1);
	lives -= 1;
}

//turn of st menu
function unpause()
{	
	toggle(stmenu, SHOW);
}

//loads the vars in the game
function load()
{	
	saving = file_open_read("gamevars.txt");
	feats_freed = file_var_read(saving); 
	feat_total_value = file_var_read(saving); 
	f1_not_occur = file_var_read(saving); 
 	f2_not_occur = file_var_read(saving); 
 	f3_not_occur = file_var_read(saving); 
 	f4_not_occur = file_var_read(saving); 
 	 score = file_var_read(saving); 
 	coin_num = file_var_read(saving); 
	rings_num = file_var_read(saving); 
 	 f1_d = file_var_read(saving); 
 	f2_d = file_var_read(saving); 
 	f3_d = file_var_read(saving); 
 	f4_d = file_var_read(saving); 
 	marble_skin = file_var_read(saving); 
 	file_close(saving);
}

//saves the vars in the game
function save()
{	
	saving = file_open_write("gamevars.txt");
	file_var_write(saving, feats_freed);
	file_var_write(saving, feat_total_value);
	file_var_write(saving, f1_not_occur);
 	file_var_write(saving,f2_not_occur);
 	file_var_write(saving,f3_not_occur);
 	file_var_write(saving,f4_not_occur);
 	file_var_write(saving, score);
 	file_var_write(saving,coin_num);
	file_var_write(saving, rings_num);
 	file_var_write(saving, f1_d);
 	file_var_write(saving,f2_d);
 	file_var_write(saving,f3_d);
 	file_var_write(saving,f4_d);
 	file_var_write(saving,marble_skin);
 	file_close(saving);
}

//removes the feats on the feats pt 1 menu and shows the st menu
function feat_remove()
{
	toggle(feat_show_pan, SHOW);
	if(is(feat_show_pan2, SHOW))
	{
		toggle(feat_show_pan2, SHOW);
	}
	set(stmenu, SHOW);
	
	if(f1_d == 1 && is(f1_pan, SHOW))
	{
		toggle(f1_pan,SHOW);
	}
	if(f2_d == 1 && is(f2_pan, SHOW))
	{
		toggle(f2_pan,SHOW);
	}
	if(f3_d == 1 && is(f3_pan, SHOW))
	{
		toggle(f3_pan,SHOW);
	}
	if(f4_d == 1 && is(f4_pan, SHOW))
	{
		toggle(f4_pan,SHOW);
	}
	if(f5_d == 1 && is(f5_pan, SHOW))
	{
		toggle(f5_pan,SHOW);
	}
	if(f6_d == 1 && is(f6_pan, SHOW))
	{
		toggle(f6_pan,SHOW);
	}
	if(f7_d == 1 && is(f7_pan, SHOW))
	{
		toggle(f7_pan,SHOW);
	}
}

//shows the feats for feats fulfilled part 2 after clicking the more button on the feats pt 1 menu
function fspart2()
{
	toggle(feat_show_pan, SHOW);
	set(feat_show_pan2, SHOW);
	
	if(f1_d == 1 && is(f1_pan, SHOW))
	{
		toggle(f1_pan,SHOW);
	}
	if(f2_d == 1 && is(f2_pan, SHOW))
	{
		toggle(f2_pan,SHOW);
	}
	if(f3_d == 1 && is(f3_pan, SHOW))
	{
		toggle(f3_pan,SHOW);
	}
	if(f4_d == 1 && is(f4_pan, SHOW))
	{
		toggle(f4_pan,SHOW);
	}
	if(f5_d == 1 && is(f5_pan, SHOW))
	{
		toggle(f5_pan,SHOW);
	}
	if(f6_d == 1)
	{
		toggle(f6_pan,SHOW);
	}
	if(f7_d == 1)
	{
		toggle(f7_pan,SHOW);
	}
}

//shows the feats for feats fulfilled part 1 after clicking the feats button on the st menu
function show_feats()
{
	toggle(feat_show_pan, SHOW);
	if(f1_d == 1)
	{
		toggle(f1_pan,SHOW);
	}
	if(f2_d == 1)
	{
		toggle(f2_pan,SHOW);
	}
	if(f3_d == 1)
	{
		toggle(f3_pan,SHOW);
	}
	if(f4_d == 1)
	{
		toggle(f4_pan,SHOW);
	}if(f5_d == 1)
	{
		toggle(f5_pan,SHOW);
	}
}

//shows the feats for pt 1 after clicking the back button
function show_feats2()
{
	toggle(feat_show_pan, SHOW);
	if(f1_d == 1)
	{
		toggle(f1_pan,SHOW);
	}
	if(f2_d == 1)
	{
		toggle(f2_pan,SHOW);
	}
	if(f3_d == 1)
	{
		toggle(f3_pan,SHOW);
	}
	if(f4_d == 1)
	{
		toggle(f4_pan,SHOW);
	}if(f5_d == 1)
	{
		toggle(f5_pan,SHOW);
	}
}

//quits to the main menu
function quit_to_mmenu()
{
	save();
	sys_exit(NULL);
}

function quitmmenu()
{
	save();
	sys_exit(NULL);
}

//part 1 of the feats in the game
PANEL* feat_show_pan =
{
	bmap = "feat_back.jpg";
	button(515, 5, "feat_resume.tga", "feat_resume.tga", "feat_resume2.tga", feat_remove, NULL, NULL);
	button(590, 430, "more_but.tga", "more_but.tga", "more_but2.tga", fspart2, NULL, NULL);
}

//part 2 of the feats in the game
PANEL* feat_show_pan2 =
{
	bmap = "feat_back.jpg";
	button(590, 430, "back_but.tga", "back_but.tga", "back_but2.tga", show_feats2, NULL, NULL);
}

PANEL* stmenu =
{
	bmap = "stmenuback.tga";
	
	//button for resume
	button(256, 105, "resume_but.tga", "resume_but.tga", "resume_but2.tga", unpause, NULL, NULL);
	
	//button for save
	button(256, 195, "save_but.tga", "save_but.tga", "save_but2.tga", save, NULL, NULL);
	
	//button for feats
	button(256, 285, "feats_but.tga", "feats_but.tga", "feats_but2.tga", show_feats, NULL, NULL);
	
	//button for quittin'
	button(256, 375, "q_but_mmenu.tga", "q_but_mmenu.tga", "q_but_mmenu2.tga", quit_to_mmenu, NULL, NULL);
}

//turn on and off the start menu
function t_stmenu()
{	
	toggle(stmenu, SHOW);
}

function tport_off_pform()
{
	phent_enable(marble, 0);
	
	wait(1);
	marble.x = 2761;
	marble.y =  -815;
	marble.z =  115;
	phent_enable(marble, 1);
	vec_set(last_tportpos.x, vector(2761, -815, 115));
}

function level_1()
{	
if(marble != NULL)
{
	//if ring is in the level
	if(ring_p != 1)
	{
		rturn();
		
		ring1_scan = c_trace(vector(ring.x,ring.y, ring.z), vector(ring.x+ .1 ,ring.y+ .1, ring.z), IGNORE_PASSABLE | USE_BOX);	
		
		if(ring1_scan > 0)
	{
		ent_remove(ring);
		ring_p = 1;
		rings_num += 1;
		score += 1000;
	}
	
	if(rings_num == 1 && f1_not_occur == 1)
	{
		str_cpy(task_value, feat1_value);
		str_cpy(task_name, feat1_name);
		
		toggle(tasks_complete, SHOW);
		feats_freed += 1;
		feat_total_value += f1;
		
		phent_enable(marble, 0);
			wait(-1);	
		
		toggle(tasks_complete, SHOW);
		toggle(feat_star, SHOW);
		wait(-1);
		
		toggle(tasks_complete, SHOW);
		toggle(feat_star, SHOW);
		wait(-1);
		
		phent_enable(marble, 1);
		f1_not_occur = 0;
		f1_d = 1;
		game_save("feat_save", 1, SV_ALL);
		toggle(tasks_complete, SHOW);
	}
	

	
	}
		
			//if coin is in the level
	if(coin_p != 1)
	{
		cointurn();
		
		coin_scan = c_trace(vector(coin.x,coin.y, coin.z), vector(coin.x- .1 ,coin.y- .1, coin.z), IGNORE_PASSABLE | USE_BOX);	
		
		if(coin_scan > 0)
	{
		ent_remove(coin);
		coin_p = 1;
		coin_num = 1;
		score += 5000;
	}
	
	if(coin_num == 1 && f4_not_occur == 1)
	{
		str_cpy(task_value, feat4_value);
		str_cpy(task_name, feat4_name);
		
		toggle(tasks_complete, SHOW);
		feats_freed += 1;
		feat_total_value += f4;
		
		phent_enable(marble, 0);
			wait(-1);	
		
		toggle(tasks_complete, SHOW);
		toggle(feat_star, SHOW);
		wait(-1);
		
		toggle(tasks_complete, SHOW);
		toggle(feat_star, SHOW);
		wait(-1);
		
		phent_enable(marble, 1);
		f4_not_occur = 0;
		f4_d = 1;
		game_save("feat_save", 1, SV_ALL);
		toggle(tasks_complete, SHOW);
	}
	
}	

	if(coin_p == 1 && tport_off == 1)
	{
		tport_off_pform();
		tport_off = 0;
	}
	te1_p1 = c_scan(vector(-785,65, 0), camera.pan, vector(360, 0, 100), SCAN_ENTS);
	 
	te1_p2 = c_scan(vector(185,122, 113), camera.pan, vector(360, 0, 30), SCAN_ENTS);
	
	te2_p1 = c_scan(vector(600	, -350, 113), camera.pan, vector(360, 0, 30), SCAN_ENTS); 
	te2_p2 = c_scan(vector(2219,-245, 113), camera.pan, vector(360, 0, 30), SCAN_ENTS);
	
	lvl1_end = c_scan(vector(1740,-2080, 150), camera.pan, vector(360, 0, 170), SCAN_ENTS);
	
	te3 = c_scan(vector(2750, -2000, 50), camera.pan, vector(360, 0, 45), SCAN_ENTS);
	te4 = c_scan(vector(3250, -875, 112), camera.pan, vector(360, 0, 30), SCAN_ENTS);

if(te1_p1 > 0)
{
	tele1_p1();
}

if(te1_p2 > 0)
{
	tele1_p2();
}

if(te2_p1 > 0)
{
	tele2_p1();
}

if(te2_p2 > 0)
{
	tele2_p2();
}

if(te3 > 0)
{
	tele3();
	lvl1_scrtpt = 1;
}

if(te4 > 0)
{
	tele4();
}

if (marble.z < 0 &&  lives > 0)
{
	respawn();
}

	camera.x = marble.x ;//+ 1200; 
	camera.y = marble.y; 
	camera.z = marble.z+300; 
	camera.tilt = -90;

	speed.x = 10 * (key_cuu - key_cud); 
		speed.y = 10 * (key_cul - key_cur); 
		speed.z = 0; 
		phent_addtorqueglobal (marble, speed);
		
		if(marble.z < 0 && lives <= 0)
{	
	level_load(NULL);
	wait(1);
	
	toggle(stats_lvl1, SHOW);
	toggle(stats_lvl2, SHOW);
	set(end_score, SHOW);
	level_num = -5;
}
	}
}

function level_2()
{
	
	if (marble.z < -2  && lives > 0)
{
	respawnlv2();
}

		camera.x = marble.x - 200;//+ 1200; 
		camera.y = marble.y ; 
		camera.z = marble.z+50; 
		camera.tilt = -15; 

		speed.x = 10 * (key_cur - key_cul); 
		speed.y = 10 * (key_cuu - key_cud); 
		speed.z = 0;
		phent_addtorqueglobal (marble, speed);
		
if(marble.z < 0 && lives <= 0)
{	
	level_load(NULL);
	wait(1);
	
	toggle(stats_lvl1, SHOW);
	toggle(stats_lvl2, SHOW);
	set(end_score, SHOW);
	level_num = -5;
}
}

//the code with the main loop for the game
function stgame()
{	
 	toggle(mmenu, SHOW);
	
	load();
	
	screen_size.x = 720;
	screen_size.y = 480; 
	shadow_stencil = 2;

	while(1)
	{

	on_enter = t_stmenu;
	
	if(level_num == 1 && new_lvl1 == 1)
	{
	level_load("marble_lv_1.mdl");
	
	wait(1);

	makemods();
		
	ph_setgravity(vector(0,0,-90));
	
	//toggle(tasks_complete, SHOW);

	camera.pan = -90;
	new_lvl1 = 0;
	}
	
	
	
	//if that works if the level is level 1
	if(level_num == 1)
	{
	level_1();
	
	if(marble.z < -2 && lives <= 0)
{
	
	level_load(NULL);
	
	wait(1);
	level_num = -3;
	toggle(stats_lvl2, SHOW);
	set(end_score, SHOW);
}
	
	if(lvl1_end > 0)
{
	if(f2_not_occur == 1)
	{
	
	 str_cpy(task_value, feat2_value);
		str_cpy(task_name, feat2_name);
		
		toggle(tasks_complete, SHOW);
		feats_freed += 1;
		feat_total_value += f2;
		
		
		phent_enable(marble, 0);
		wait(-1);
		
		toggle(tasks_complete, SHOW);
		toggle(feat_star, SHOW);
		wait(-1);
		
		toggle(tasks_complete, SHOW);
		toggle(feat_star, SHOW);
		wait(-1);
		
		phent_enable(marble, 1);
		f2_not_occur = 0;
		f2_d = 1;
		toggle(tasks_complete, SHOW);
		save();
	}
	
	if(f3_not_occur == 1 && lvl1_scrtpt == 1)
	{
		str_cpy(task_value, feat3_value);
		str_cpy(task_name, feat3_name);
		
		toggle(tasks_complete, SHOW);
		feats_freed += 1;
		feat_total_value += f3;
		
		phent_enable(marble, 0);
		wait(-1);
		
		toggle(tasks_complete, SHOW);
		toggle(feat_star, SHOW);
		wait(-1);
		
		toggle(tasks_complete, SHOW);
		toggle(feat_star, SHOW);
		wait(-1);
		
		phent_enable(marble, 1);
		f3_not_occur = 0;
		f3_d = 1;
		toggle(tasks_complete, SHOW);
		save();
	}
	
	
	level_load("marble_lv_2.mdl");
	wait(1);
	
	toggle(stats_lvl1, SHOW);
	
	set(stats_lvl2, SHOW); 
	toggle(tasks_complete, SHOW);
	level_num = 2;
	save();
   lvl2mods();
	}
	}
	
	if(level_num == 2 && new_lvl2 == 1)
	{
	
	toggle(stats_lvl1, SHOW);
	
	level_load("marble_lv_2.mdl");
	wait(1);
	
	ph_setgravity(vector(0,0,-90));
	
	//toggle(stmenu, SHOW);
	
	set(stats_lvl2, SHOW); 

	level_num = 2;
	
   lvl2mods();
   new_lvl2 = 0;
	}
	
	if (level_num == 2)
	{
	level_2();
	}
	
	

		wait (1);
	}
}

//load a new level 1
function lvl1_load() 
{
	level_num = 1;
	stgame();
}

//load a new level 2
function lvl2_load()  
{
	level_num = 2;
	stgame();
}

function main()
{
	mouse_mode = 4;
	load();	
	set(mmenu, SHOW);
}